Access Connectors - List By Subscription
取得訂用帳戶內的所有 Azure Databricks Access Connector。
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Databricks/accessConnectors?api-version=2026-01-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string (uuid) |
目標訂用帳戶的標識碼。 此值必須是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
Azure 運作順利完成。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 冒充您的使用者帳戶 |
範例
Lists all the Azure Databricks Access Connectors within a subscription.
範例要求
GET https://management.azure.com/subscriptions/11111111-1111-1111-1111-111111111111/providers/Microsoft.Databricks/accessConnectors?api-version=2026-01-01
範例回覆
{
"value": [
{
"name": "myAccessConnector1",
"type": "Microsoft.Databricks/accessConnectors",
"id": "/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg1/providers/Microsoft.Databricks/accessConnectors/myAccessConnector1",
"identity": {
"type": "SystemAssigned",
"principalId": "7ad2bae1-37d0-413e-91f8-b0b7bef807fc",
"tenantId": "e3fe3f22-4b98-4c04-82cc-d8817d1b17da"
},
"location": "West US",
"properties": {
"provisioningState": "Succeeded",
"referedBy": []
},
"tags": {}
},
{
"name": "myAccessConnector2",
"type": "Microsoft.Databricks/accessConnectors",
"id": "/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg1/providers/Microsoft.Databricks/accessConnectors/myAccessConnector2",
"identity": {
"type": "SystemAssigned",
"principalId": "5619ff16-afe1-47e5-ae67-8393c6c3223d",
"tenantId": "e3fe3f22-4b98-4c04-82cc-d8817d1b17da"
},
"location": "West US",
"properties": {
"provisioningState": "Succeeded",
"referedBy": []
},
"tags": {}
},
{
"name": "myAccessConnector3",
"type": "Microsoft.Databricks/accessConnectors",
"id": "/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg2/providers/Microsoft.Databricks/accessConnectors/myAccessConnector3",
"identity": {
"type": "SystemAssigned",
"principalId": "04b25430-8db1-48a0-9c2f-32270ed63eef",
"tenantId": "e3fe3f22-4b98-4c04-82cc-d8817d1b17da"
},
"location": "West US",
"properties": {
"provisioningState": "Succeeded",
"referedBy": []
},
"tags": {}
},
{
"name": "myAccessConnector4",
"type": "Microsoft.Databricks/accessConnectors",
"id": "/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg3/providers/Microsoft.Databricks/accessConnectors/myAccessConnector4",
"identity": {
"type": "SystemAssigned",
"principalId": "4856ceed-0a99-4df7-b9fc-35603650af06",
"tenantId": "e3fe3f22-4b98-4c04-82cc-d8817d1b17da"
},
"location": "West US",
"properties": {
"provisioningState": "Succeeded",
"referedBy": []
},
"tags": {}
}
]
}
定義
| 名稱 | Description |
|---|---|
|
Access |
Azure Databricks 存取連接器的相關資訊。 |
|
Access |
AccessConnector 清單操作的回應。 |
|
Access |
|
|
Error |
錯誤詳細數據。 |
|
Error |
錯誤的程式碼和訊息。 |
|
Error |
當回應碼指出錯誤時,會包含詳細數據。 |
|
Managed |
受控服務識別(系統指派和/或使用者指派的身分識別) |
|
Managed |
受控服務識別的類型(允許 SystemAssigned 和 UserAssigned 類型)。 |
|
Provisioning |
工作區的佈建狀態。 |
|
User |
使用者指派的身分識別屬性 |
AccessConnector
Azure Databricks 存取連接器的相關資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string |
資源的完整資源標識碼。 例如 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| identity |
指派給此資源的受控服務識別。 |
|
| location |
string |
資源所在的地理位置 |
| name |
string |
資源的名稱 |
| properties |
Azure Databricks Access Connector 屬性 |
|
| tags |
object |
資源標籤。 |
| type |
string |
資源的類型。 例如- Microsoft.Compute/virtualMachines 或 Microsoft.Storage/storageAccounts。 |
AccessConnectorListResult
AccessConnector 清單操作的回應。
| 名稱 | 類型 | Description |
|---|---|---|
| nextLink |
string (uri) |
專案下一頁的連結 |
| value |
本頁的 AccessConnector 項目 |
AccessConnectorProperties
| 名稱 | 類型 | Description |
|---|---|---|
| provisioningState |
Access Connector 的佈建狀態。 |
|
| referedBy |
string[] |
參照此 Access Connector 的工作區清單。 |
ErrorDetail
錯誤詳細數據。
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
錯誤的代碼。 |
| message |
string |
人類可讀的錯誤訊息。 |
| target |
string |
指出要求中的哪個屬性負責錯誤。 |
ErrorInfo
錯誤的程式碼和訊息。
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
機器可讀的錯誤代碼。 |
| details |
錯誤詳細資料。 |
|
| innererror |
string |
內部錯誤詳細資料(如果存在)。 |
| message |
string |
人類可讀的錯誤訊息。 |
ErrorResponse
當回應碼指出錯誤時,會包含詳細數據。
| 名稱 | 類型 | Description |
|---|---|---|
| error |
錯誤詳細數據。 |
ManagedServiceIdentity
受控服務識別(系統指派和/或使用者指派的身分識別)
| 名稱 | 類型 | Description |
|---|---|---|
| principalId |
string (uuid) |
系統指派身分識別的服務主體標識碼。 此屬性只會針對系統指派的身分識別提供。 |
| tenantId |
string (uuid) |
系統指派身分識別的租用戶標識碼。 此屬性只會針對系統指派的身分識別提供。 |
| type |
受控服務識別的類型(允許 SystemAssigned 和 UserAssigned 類型)。 |
|
| userAssignedIdentities |
<string,
User |
User-Assigned 身分識別 |
ManagedServiceIdentityType
受控服務識別的類型(允許 SystemAssigned 和 UserAssigned 類型)。
| 值 | Description |
|---|---|
| None | |
| SystemAssigned | |
| UserAssigned | |
| SystemAssigned,UserAssigned |
ProvisioningState
工作區的佈建狀態。
| 值 | Description |
|---|---|
| Accepted |
已接受 |
| Running |
Running |
| Ready |
Ready |
| Creating |
創作 |
| Created |
已建立 |
| Deleting |
刪除中 |
| Deleted |
已刪除 |
| Canceled |
已取消 |
| Failed |
失敗 |
| Succeeded |
成功 |
| Updating |
更新中 |
UserAssignedIdentity
使用者指派的身分識別屬性
| 名稱 | 類型 | Description |
|---|---|---|
| clientId |
string (uuid) |
指派之身分識別的用戶端標識碼。 |
| principalId |
string (uuid) |
指派之身分識別的主體標識碼。 |